Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.util.xml
Class XMLJavaMappingRegistry

    java.lang.Object
      |
      +--org.apache.soap.util.xml.XMLJavaMappingRegistry

Direct Known Subclasses:
  SOAPMappingRegistry

public class XMLJavaMappingRegistry
extends java.lang.Object

An `XMLJavaMappingRegistry` ...

Author:
  Matthew J. Duftler (duftler@us.ibm.com), Sanjiva Weerawarana (sanjiva@watson.ibm.com), Francisco Curbera (curbera@us.ibm.com)

Constructor Summary
`XMLJavaMappingRegistry()`

Method Summary
`protected static java.lang.String` | `getClassName(java.lang.Class javaType)`
`void` | `mapTypes(java.lang.String encodingStyleURI, QName elementType, java.lang.Class javaType, Serializer s, Deserializer ds)`
`void` | `marshall(java.lang.String inScopeEncStyle, java.lang.Class javaType, java.lang.Object src, java.lang.Object context, java.io.Writer sink, NSStack nsStack, SOAPContext ctx)`
`protected Deserializer` | `queryDeserializer_(QName elementType, java.lang.String encodingStyleURI)` This version returns null if the deserializer is not found.
`Deserializer` | `queryDeserializer(QName elementType, java.lang.String encodingStyleURI)` This version calls the protected method to do the work and if its not found throws an exception.
`protected QName` | `queryElementType_(java.lang.Class javaType, java.lang.String encodingStyleURI)` This version returns null if the element type is not found.
`QName` | `queryElementType(java.lang.Class javaType, java.lang.String encodingStyleURI)` This version calls the protected method to do the work and if its not found throws an exception.
`protected java.lang.Class` | `queryJavaType_(QName elementType, java.lang.String encodingStyleURI)` This version returns null if the Java type is not found.
`java.lang.Class` | `queryJavaType(QName elementType, java.lang.String encodingStyleURI)` This version calls the protected method to do the work and if its not found throws an exception.
`protected Serializer` | `querySerializer_(java.lang.Class javaType, java.lang.String encodingStyleURI)` This version returns null if the serializer is not found.
`Serializer` | `querySerializer(java.lang.Class javaType, java.lang.String encodingStyleURI)` This version calls the protected method to do the work and if its not found throws an exception.
`void` | `setDefaultEncodingStyle(java.lang.String defEncStyle)` Set the default encoding style.
`Bean` | `unmarshall(java.lang.String inScopeEncStyle, QName elementType, org.w3c.dom.Node src, SOAPContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLJavaMappingRegistry

    public XMLJavaMappingRegistry()

Method Detail

### setDefaultEncodingStyle

    public void setDefaultEncodingStyle(java.lang.String defEncStyle)

  Set the default encoding style. If the query*() calls are invoked with a null encodingStyleURI parameter, we'll use this instead.

### mapTypes

    public void mapTypes(java.lang.String encodingStyleURI,
    QName elementType,
                         java.lang.Class javaType,
    Serializer s,
    Deserializer ds)

### querySerializer_

    protected Serializer querySerializer_(java.lang.Class javaType,
                                          java.lang.String encodingStyleURI)

  This version returns null if the serializer is not found. It is intended for internal usage (its used for chaining registries, for example).

### querySerializer

    public Serializer querySerializer(java.lang.Class javaType,
                                      java.lang.String encodingStyleURI)
                               throws java.lang.IllegalArgumentException

  This version calls the protected method to do the work and if its not found throws an exception.
    `java.lang.IllegalArgumentException`

### queryDeserializer_

    protected Deserializer queryDeserializer_(QName elementType,
                                              java.lang.String encodingStyleURI)

  This version returns null if the deserializer is not found. It is intended for internal usage (its used for chaining registries, for example).

### queryDeserializer

    public Deserializer queryDeserializer(QName elementType,
                                          java.lang.String encodingStyleURI)
                                   throws java.lang.IllegalArgumentException

  This version calls the protected method to do the work and if its not found throws an exception.
    `java.lang.IllegalArgumentException`

### queryElementType_

    protected QName queryElementType_(java.lang.Class javaType,
                                      java.lang.String encodingStyleURI)

  This version returns null if the element type is not found. It is intended for internal usage (its used for chaining registries, for example).

### queryElementType

    public QName queryElementType(java.lang.Class javaType,
                                  java.lang.String encodingStyleURI)
                           throws java.lang.IllegalArgumentException

  This version calls the protected method to do the work and if its not found throws an exception.
    `java.lang.IllegalArgumentException`

### queryJavaType_

    protected java.lang.Class queryJavaType_(QName elementType,
                                             java.lang.String encodingStyleURI)

  This version returns null if the Java type is not found. It is intended for internal usage (its used for chaining registries, for example).

### queryJavaType

    public java.lang.Class queryJavaType(QName elementType,
                                         java.lang.String encodingStyleURI)
                                  throws java.lang.IllegalArgumentException

  This version calls the protected method to do the work and if its not found throws an exception.
    `java.lang.IllegalArgumentException`

### marshall

    public void marshall(java.lang.String inScopeEncStyle,
                         java.lang.Class javaType,
                         java.lang.Object src,
                         java.lang.Object context,
                         java.io.Writer sink,
    NSStack nsStack,
    SOAPContext ctx)
                  throws java.lang.IllegalArgumentException,
                         java.io.IOException

    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### unmarshall

    public Bean unmarshall(java.lang.String inScopeEncStyle,
    QName elementType,
                           org.w3c.dom.Node src,
    SOAPContext ctx)
                    throws java.lang.IllegalArgumentException

    `java.lang.IllegalArgumentException`

### getClassName

    protected static java.lang.String getClassName(java.lang.Class javaType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache XML Project. All Rights Reserved.